Liens
GET https://okk.link/api/links/
curl --request GET \
--url 'https://okk.link/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Facultatif Chaîne | La chaîne de recherche. |
| search_by | Facultatif Chaîne | Le champ sur lequel tu effectues la recherche. Valeurs autorisées : url, location_url. |
| is_enabled | Facultatif Booléen | |
| domain_id | Facultatif Entier | |
| type | Facultatif Chaîne |
biolink, link, file, vcard, event, static |
| datetime_field | Facultatif Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Facultatif Chaîne | Filtrer les résultats à partir de cette date. Format Y-m-d H:i:s. |
| datetime_end | Facultatif Chaîne | Filtrer les résultats jusqu'à cette date. Format Y-m-d H:i:s. |
| order_by | Facultatif Chaîne | Le champ utilisé pour trier les résultats. Valeurs autorisées : link_id, datetime, last_datetime, clicks, url. |
| order_type | Facultatif Chaîne | Ordre des résultats. Valeurs autorisées : ASC pour ordre croissant et DESC pour ordre décroissant. |
| page | Facultatif Entier | Le numéro de page pour lequel tu veux des résultats. Valeur par défaut : 1. |
| results_per_page | Facultatif Entier | Nombre de résultats souhaités par page. Valeurs autorisées : 10, 25, 50, 100, 250, 500, 1000. Valeur par défaut : 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports": [],
"biolink_theme_id": 1,
"type": "Example",
"url": "https://example.com/",
"location_url": "https://example.com/",
"settings": [],
"clicks": 1,
"start_date": "Example",
"end_date": "Example",
"is_verified": true,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-17 00:09:32"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://okk.link/api/links?page=1",
"last": "https://okk.link/api/links?page=1",
"next": null,
"prev": null,
"self": "https://okk.link/api/links?page=1"
}
}
GET https://okk.link/api/links/{link_id}
curl --request GET \
--url 'https://okk.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports": [],
"biolink_theme_id": 1,
"type": "Example",
"url": "https://example.com/",
"location_url": "https://example.com/",
"settings": [],
"clicks": 1,
"start_date": "Example",
"end_date": "Example",
"is_verified": true,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-17 00:09:32"
}
}
POST https://okk.link/api/links
| Paramètres | Détails | Description |
|---|---|---|
| type | Facultatif Chaîne | link |
| location_url | Obligatoire Chaîne | L'URL de destination.Disponible quand : is_bulk = 0 |
| location_urls | Obligatoire Chaîne | L'URL de destination.Disponible quand : is_bulk = 1 |
| url | Facultatif Chaîne | L'alias d'URL du lien généré. Laisse vide pour un alias généré aléatoirement.Disponible quand : is_bulk = 0 |
| is_bulk | Facultatif Booléen | |
| domain_id | Facultatif Entier | - |
| project_id | Facultatif Entier | - |
| pixels_ids | Facultatif Tableau Entier | - |
| email_reports | Facultatif Tableau | ID des gestionnaires de notifications |
| schedule | Facultatif Booléen | - |
| start_date | Facultatif Chaîne | Disponible quand : schedule = true |
| end_date | Facultatif Chaîne | Disponible quand : schedule = true |
| clicks_limit | Facultatif Entier | - |
| expiration_url | Facultatif Chaîne | - |
| sensitive_content | Facultatif Booléen | - |
| http_status_code | Facultatif Entier | Valeurs autorisées : 301, 302, 307, 308 |
| app_linking_is_enabled | Facultatif Booléen | - |
| cloaking_is_enabled | Facultatif Booléen | - |
| cloaking_title | Facultatif Chaîne | - |
| cloaking_meta_description | Facultatif Chaîne | - |
| cloaking_custom_js | Facultatif Chaîne | - |
| cloaking_favicon | Facultatif Fichier | - |
| cloaking_opengraph | Facultatif Fichier | - |
| password | Facultatif Chaîne | - |
| forward_query_parameters_is_enabled | Facultatif Booléen | - |
| seo_block | Facultatif Booléen | - |
| utm_source | Facultatif Chaîne | - |
| utm_medium | Facultatif Chaîne | - |
| utm_campaign | Facultatif Chaîne | - |
| targeting_type | Facultatif Chaîne | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = continent_code |
| targeting_continent_code_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = continent_code |
| targeting_country_code_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = country_code |
| targeting_country_code_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = country_code |
| targeting_city_name_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = city_name |
| targeting_city_name_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = city_name |
| targeting_device_type_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = device_type |
| targeting_device_type_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = device_type |
| targeting_browser_language_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_language |
| targeting_browser_language_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_language |
| targeting_rotation_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = rotation |
| targeting_rotation_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = rotation |
| targeting_os_name_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = os_name |
| targeting_os_name_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = os_name |
| targeting_browser_name_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_name |
| targeting_browser_name_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_name |
| is_enabled | Facultatif Booléen | - |
curl --request POST \
--url 'https://okk.link/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://okk.link/' \
--url 'https://okk.link/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://okk.link/' \
{
"data": {
"id": 1
}
}
POST https://okk.link/api/links/{link_id}
| Paramètres | Détails | Description |
|---|---|---|
| location_url | Facultatif Chaîne | L'URL de destination. |
| url | Facultatif Chaîne | L'alias d'URL du lien généré. Laisse vide pour un alias généré aléatoirement. |
| domain_id | Facultatif Entier | - |
| project_id | Facultatif Entier | - |
| pixels_ids | Facultatif Tableau Entier | - |
| email_reports | Facultatif Tableau | ID des gestionnaires de notifications |
| schedule | Facultatif Booléen | - |
| start_date | Facultatif Chaîne | Disponible quand : schedule = true |
| end_date | Facultatif Chaîne | Disponible quand : schedule = true |
| clicks_limit | Facultatif Entier | - |
| expiration_url | Facultatif Chaîne | - |
| sensitive_content | Facultatif Booléen | - |
| http_status_code | Facultatif Entier | Valeurs autorisées : 301, 302, 307, 308 |
| app_linking_is_enabled | Facultatif Booléen | - |
| cloaking_is_enabled | Facultatif Booléen | - |
| cloaking_title | Facultatif Chaîne | - |
| cloaking_meta_description | Facultatif Chaîne | - |
| cloaking_custom_js | Facultatif Chaîne | - |
| cloaking_favicon | Facultatif Fichier | - |
| cloaking_opengraph | Facultatif Fichier | - |
| password | Facultatif Chaîne | - |
| forward_query_parameters_is_enabled | Facultatif Booléen | - |
| seo_block | Facultatif Booléen | - |
| utm_source | Facultatif Chaîne | - |
| utm_medium | Facultatif Chaîne | - |
| utm_campaign | Facultatif Chaîne | - |
| targeting_type | Facultatif Chaîne | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = continent_code |
| targeting_continent_code_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = continent_code |
| targeting_country_code_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = country_code |
| targeting_country_code_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = country_code |
| targeting_city_name_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = city_name |
| targeting_city_name_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = city_name |
| targeting_device_type_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = device_type |
| targeting_device_type_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = device_type |
| targeting_browser_language_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_language |
| targeting_browser_language_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_language |
| targeting_rotation_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = rotation |
| targeting_rotation_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = rotation |
| targeting_os_name_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = os_name |
| targeting_os_name_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = os_name |
| targeting_browser_name_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_name |
| targeting_browser_name_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_name |
| is_enabled | Facultatif Booléen | - |
| link_id | Facultatif Entier | - |
curl --request POST \
--url 'https://okk.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://okk.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports": [],
"biolink_theme_id": 1,
"type": "Example",
"url": "https://example.com/",
"location_url": "https://example.com/",
"settings": [],
"clicks": 1,
"start_date": "Example",
"end_date": "Example",
"is_verified": 1,
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-09-17 00:09:32"
}
}
DELETE https://okk.link/api/links/{link_id}
curl --request DELETE \
--url 'https://okk.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \